<?php
/**
 * Created by PhpStorm.
 * User: marcel
 * Date: 21.06.17
 * Time: 10:48
 */

class a644_cachehelper_config {
    private static $configs = [];

    public static function getConfigKey($path, $file = 'config') {
        $path = explode('/',$path);
        $aktPath = self::getConfig($file);
        for($i=0;$i<sizeof($path);$i++) {
            if(isset($aktPath[$path[$i]]))
                $aktPath = $aktPath[$path[$i]];
            else
                return null;
        }
        return $aktPath;
    }

    public static function getConfig($name = 'config') {
        if(!isset(self::$configs[$name]))
            self::$configs[$name] = \rex_file::getConfig(rex_addon::get('cachehelper')->getDataPath($name.'.yml'));
        return self::$configs[$name];
    }
}