var onepager = onepager || {};

onepager.variables = {
    url:           "",
    content:       "",
}

onepager.event = {
    addListener: function(selektor) {
        $(selektor).off('click').on('click', function() {
            onepager.variables.url = $(this).attr('href');
            onepager.commonMethod.setActiveNavipoint($(this));
            onepager.commonMethod.getPage();
            return false;
        });
    }
}

onepager.commonMethod = {
    getPage: function() {
        $.ajax({
            dataType: "json",
            url: onepager.variables.url
        })
            .done(function(data) {
                $.each(data, function(index, value) {
                    if(value.id == 'head') {
                        $('title').html($(value.content).filter('title').text());
                        jQuery.ready();
                    } else {
                        $(value.id).html(value.content);
                    }
                });
                onepager.commonMethod.setHistory();
            });
    },
    setActiveNavipoint: function(aktiv) {
        $('.nav-item').removeClass('active');
        aktiv.parent().addClass('active');
    },

    setHistory: function() {
        history.pushState({}, $('title').html(), onepager.variables.url);
    }
}


onepager.event.addListener('[data-load="true"]');